Get resource items.
curl --request POST \
--url https://api.revong.com/api/v1/resources/{resourceId}/getItems \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startRow": 123,
"endRow": 123,
"rowGroupCols": [
{
"id": "<string>",
"displayName": "<string>",
"field": "<string>",
"aggFunc": "<string>",
"customAggFunc": {}
}
],
"valueCols": [
{
"id": "<string>",
"displayName": "<string>",
"field": "<string>",
"aggFunc": "<string>",
"customAggFunc": {}
}
],
"pivotCols": [
{
"id": "<string>",
"displayName": "<string>",
"field": "<string>",
"aggFunc": "<string>",
"customAggFunc": {}
}
],
"pivotMode": true,
"groupKeys": [
"<string>"
],
"filterModel": [
{
"filterType": "<string>",
"key": "<unknown>",
"type": "<string>",
"filter": {},
"filterTo": {},
"operator": "<string>",
"condition1": "<unknown>",
"condition2": "<unknown>"
}
],
"sortModel": [
{
"sort": "<string>",
"colId": "<string>"
}
]
}
'import requests
url = "https://api.revong.com/api/v1/resources/{resourceId}/getItems"
payload = {
"startRow": 123,
"endRow": 123,
"rowGroupCols": [
{
"id": "<string>",
"displayName": "<string>",
"field": "<string>",
"aggFunc": "<string>",
"customAggFunc": {}
}
],
"valueCols": [
{
"id": "<string>",
"displayName": "<string>",
"field": "<string>",
"aggFunc": "<string>",
"customAggFunc": {}
}
],
"pivotCols": [
{
"id": "<string>",
"displayName": "<string>",
"field": "<string>",
"aggFunc": "<string>",
"customAggFunc": {}
}
],
"pivotMode": True,
"groupKeys": ["<string>"],
"filterModel": [
{
"filterType": "<string>",
"key": "<unknown>",
"type": "<string>",
"filter": {},
"filterTo": {},
"operator": "<string>",
"condition1": "<unknown>",
"condition2": "<unknown>"
}
],
"sortModel": [
{
"sort": "<string>",
"colId": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
startRow: 123,
endRow: 123,
rowGroupCols: [
{
id: '<string>',
displayName: '<string>',
field: '<string>',
aggFunc: '<string>',
customAggFunc: {}
}
],
valueCols: [
{
id: '<string>',
displayName: '<string>',
field: '<string>',
aggFunc: '<string>',
customAggFunc: {}
}
],
pivotCols: [
{
id: '<string>',
displayName: '<string>',
field: '<string>',
aggFunc: '<string>',
customAggFunc: {}
}
],
pivotMode: true,
groupKeys: ['<string>'],
filterModel: [
{
filterType: '<string>',
key: '<unknown>',
type: '<string>',
filter: {},
filterTo: {},
operator: '<string>',
condition1: '<unknown>',
condition2: '<unknown>'
}
],
sortModel: [{sort: '<string>', colId: '<string>'}]
})
};
fetch('https://api.revong.com/api/v1/resources/{resourceId}/getItems', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Resources
Get resource items.
ROLES: RESOURCE_READ,RESOURCE_WRITE,RESOURCE_ADMIN USER: true SERVICE ACCOUNT: true, CACHE (sec.): 10
POST
/
api
/
v1
/
resources
/
{resourceId}
/
getItems
Get resource items.
Authorizations
Bearer token with Platform JWT token or API Key.
Path Parameters
Provide resourceId.
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
OK.
⌘I

